> For the complete documentation index, see [llms.txt](https://docs.uptiq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uptiq.ai/document-ai/api-reference/classification/classify-in-bulk.md).

# Classify in bulk

`POST /classify/bulk` queues several files for classification.

Requires the `X-Api-Key` header.

### Request body

Send `application/json` using `ClassifyBulkRequest`.

| Property                    | Type                             | Description                                               |
| --------------------------- | -------------------------------- | --------------------------------------------------------- |
| `context`                   | array \| null                    | Per-file context. The length must match `files`.          |
| `custom_document_types`     | array \| null                    | Custom types for every file.                              |
| `custom_document_types_url` | string \| null                   | URL to custom types. Merges with `custom_document_types`. |
| `entities`                  | object \| null                   | Entity ID-to-name mapping for Excel workbooks.            |
| `files`                     | array<`ClassifyBulkRequestFile`> | Files to classify.                                        |
| `metadata`                  | array \| null                    | Per-file metadata. The length must match `files`.         |
| `model`                     | string \| null                   | Model for all files. Defaults to `gemini-3`.              |
| `use_custom_types_only`     | boolean \| null                  | Limits results to custom types for all files.             |

#### File object

`ClassifyBulkRequestFile`

| Property   | Type   | Description                  |
| ---------- | ------ | ---------------------------- |
| `content`  | string | Base64-encoded file content. |
| `file_url` | string | Public URL to the file.      |

### Responses

| Status | Description                        | Schema                 |
| ------ | ---------------------------------- | ---------------------- |
| `200`  | OK                                 | `ClassifyBulkResponse` |
| `400`  | Bad Request                        | `ValidationError`      |
| `401`  | The API key is missing or invalid. |                        |

### Example

```bash
curl -X POST "https://<api-host>/classify/bulk" \
  -H "X-Api-Key: $DOCAI_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
         "files": [
           { "file_url": "https://example.com/doc-1.pdf" },
           { "file_url": "https://example.com/doc-2.pdf" }
         ]
       }'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.uptiq.ai/document-ai/api-reference/classification/classify-in-bulk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
